Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061820 - Win8-64 guests performance is very slow and sluggish
Summary: Win8-64 guests performance is very slow and sluggish
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ronen Hod
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 16:59 UTC by Miki Mishael
Modified: 2014-12-15 00:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 23:57:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miki Mishael 2014-02-05 16:59:35 UTC
Description of problem:
When booting win8_64 guests they perform very slow sluggish.

Version-Release number of selected component (if applicable):

Linux 3.10.0-78.el7.x86_64 #1 SMP Tue Jan 21 17:56:28 EST 2014 x86_64 x86_64 x86_64 GNU/Linux

rpm -qi qemu-kvm
Name        : qemu-kvm
Epoch       : 10
Version     : 1.5.3
Release     : 41.el7
Architecture: x86_64
Install Date: Sun Jan 26 13:33:15 2014
Group       : Development/Tools
Size        : 6053012
License     : GPLv2+ and LGPLv2+ and BSD
Signature   : RSA/SHA256, Wed Jan 22 10:18:44 2014, Key ID 938a80caf21541eb
Source RPM  : qemu-kvm-1.5.3-41.el7.src.rpm
Build Date  : Wed Jan 22 09:18:42 2014
Build Host  : x86-021.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : http://www.qemu.org/
Summary     : QEMU is a FAST! processor emulator
Description :

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     E7500  @ 2.93GHz
stepping	: 10
microcode	: 0xa0c
cpu MHz		: 1600.000
cache size	: 3072 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 5851.58
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Duo CPU     E7500  @ 2.93GHz
stepping	: 10
microcode	: 0xa0c
cpu MHz		: 1600.000
cache size	: 3072 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm dtherm tpr_shadow vnmi flexpriority
bogomips	: 5851.58
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

Guest: windows 8 64 bit, build 9200.

How reproducible:

Boot with cmdline:

/usr/libexec/qemu-kvm \
-drive file=./image_win8_64/HCK_Client2_WIN8_64.qcow2,if=ide,serial=211054 \
-netdev tap,id=hostnet0,script=./hck_win8_64/hck_ctrl_bridge_ifup.sh,downscript=no,ifname=cc2_54 \
-device e1000,netdev=hostnet0,mac=56:cc:cc:02:cc:cc,bus=pci.0,id=cc2_54 \
-netdev tap,id=hostnet2,vhost=on,script=./hck_win8_64/hck_test_bridge_ifup.sh,downscript=no,ifname=t1c2_54 \
-device virtio-net-pci,netdev=hostnet2,mac=56:cc:cc:02:01:cc,bus=pci.0,id=t1c2_54 \
-m 1G -smp 4,cores=4 -enable-kvm -M pc -cpu SandyBridge \
-usbdevice tablet -boot d \
-uuid CDEF127c-8795-4e67-95da-8dd0a8891002 \
-vga std -rtc-td-hack \
-rtc base=localtime,clock=host,driftfix=slew \
-global PIIX4_PM.disable_s3=1 \
-global PIIX4_PM.disable_s4=0 \
-name HCK-Client2_54 \
-vnc :164 \


Steps to Reproduce:
1.See if boot is slow too.
2.Try to open windows, make some ordinary tasks.

Actual results:
Very sluggish performance .

Expected results:
Normal performance as other windows versions.

Additional info:

Comment 4 Ronen Hod 2014-03-12 23:57:04 UTC
Closing. We lost the reproducer.


Note You need to log in before you can comment on or make changes to this bug.